Game Develop Core: TiXmlText Class Reference

| Game Develop Core Core library for developing platforms and tools compatible with Game Develop.

- Main Page
- Modules
- Classes

- Class List
- Class Index
- Class Hierarchy

All Classes Files Functions Variables Typedefs Enumerations Macros Groups Pages
Public Member Functions | Protected Member Functions | Friends | List of all members
TiXmlText Class Reference
Integrated TinyXml library

Part of the tinyxml library. More...

`#include <tinyxml.h>`

Inheritance diagram for TiXmlText:
[legend]

## Public Member Functions

| TiXmlText (const char *initValue)
| TiXmlText (const TiXmlText &copy)
void | operator= (const TiXmlText &base)
virtual void | Print (FILE *cfile, int depth) const
bool | CDATA () const
| Queries whether this represents text using a CDATA section.
void | SetCDATA (bool _cdata)
| Turns on or off a CDATA representation of text.
virtual const char * | Parse (const char *p, TiXmlParsingData *data, TiXmlEncoding encoding)
virtual const TiXmlText * | ToText () const
| Cast to a more defined type. Will return null not of the requested type.
virtual TiXmlText * | ToText ()
| Cast to a more defined type. Will return null not of the requested type.
virtual bool | Accept (TiXmlVisitor *content) const
Public Member Functions inherited from TiXmlNode
const char * | Value () const
const TIXML_STRING & | ValueTStr () const
void | SetValue (const char *_value)
void | Clear ()
| Delete all the children of this node. Does not affect 'this'.
TiXmlNode * | Parent ()
| One step up the DOM.
const TiXmlNode * | Parent () const
const TiXmlNode * | FirstChild () const
| The first child of this node. Will be null if there are no children.
TiXmlNode * | FirstChild ()
const TiXmlNode * | FirstChild (const char *value) const
TiXmlNode * | FirstChild (const char *_value)
| The first child of this node with the matching 'value'. Will be null if none found.
const TiXmlNode * | LastChild () const
TiXmlNode * | LastChild ()
| The last child of this node. Will be null if there are no children.
const TiXmlNode * | LastChild (const char *value) const
TiXmlNode * | LastChild (const char *_value)
| The last child of this node matching 'value'. Will be null if there are no children.
const TiXmlNode * | IterateChildren (const TiXmlNode *previous) const
TiXmlNode * | IterateChildren (const TiXmlNode *previous)
const TiXmlNode * | IterateChildren (const char *value, const TiXmlNode *previous) const
| This flavor of IterateChildren searches for children with a particular 'value'.
TiXmlNode * | IterateChildren (const char *_value, const TiXmlNode *previous)
TiXmlNode * | InsertEndChild (const TiXmlNode &addThis)
TiXmlNode * | LinkEndChild (TiXmlNode *addThis)
TiXmlNode * | InsertBeforeChild (TiXmlNode *beforeThis, const TiXmlNode &addThis)
TiXmlNode * | InsertAfterChild (TiXmlNode *afterThis, const TiXmlNode &addThis)
TiXmlNode * | ReplaceChild (TiXmlNode *replaceThis, const TiXmlNode &withThis)
bool | RemoveChild (TiXmlNode *removeThis)
| Delete a child of this node.
const TiXmlNode * | PreviousSibling () const
| Navigate to a sibling node.
TiXmlNode * | PreviousSibling ()
const TiXmlNode * | PreviousSibling (const char *) const
| Navigate to a sibling node.
TiXmlNode * | PreviousSibling (const char *_prev)
const TiXmlNode * | NextSibling () const
| Navigate to a sibling node.
TiXmlNode * | NextSibling ()
const TiXmlNode * | NextSibling (const char *) const
| Navigate to a sibling node with the given 'value'.
TiXmlNode * | NextSibling (const char *_next)
const TiXmlElement * | NextSiblingElement () const
TiXmlElement * | NextSiblingElement ()
const TiXmlElement * | NextSiblingElement (const char *) const
TiXmlElement * | NextSiblingElement (const char *_next)
const TiXmlElement * | FirstChildElement () const
| Convenience function to get through elements.
TiXmlElement * | FirstChildElement ()
const TiXmlElement * | FirstChildElement (const char *_value) const
| Convenience function to get through elements.
TiXmlElement * | FirstChildElement (const char *_value)
int | Type () const
const TiXmlDocument * | GetDocument () const
TiXmlDocument * | GetDocument ()
bool | NoChildren () const
| Returns true if this node has no children.
virtual const TiXmlDocument * | ToDocument () const
| Cast to a more defined type. Will return null if not of the requested type.
virtual const TiXmlElement * | ToElement () const
| Cast to a more defined type. Will return null if not of the requested type.
virtual const TiXmlComment * | ToComment () const
| Cast to a more defined type. Will return null if not of the requested type.
virtual const TiXmlUnknown * | ToUnknown () const
| Cast to a more defined type. Will return null if not of the requested type.
virtual const TiXmlDeclaration * | ToDeclaration () const
| Cast to a more defined type. Will return null if not of the requested type.
virtual TiXmlDocument * | ToDocument ()
| Cast to a more defined type. Will return null if not of the requested type.
virtual TiXmlElement * | ToElement ()
| Cast to a more defined type. Will return null if not of the requested type.
virtual TiXmlComment * | ToComment ()
| Cast to a more defined type. Will return null if not of the requested type.
virtual TiXmlUnknown * | ToUnknown ()
| Cast to a more defined type. Will return null if not of the requested type.
virtual TiXmlDeclaration * | ToDeclaration ()
| Cast to a more defined type. Will return null if not of the requested type.
Public Member Functions inherited from TiXmlBase
int | Row () const
int | Column () const
| See Row()
void | SetUserData (void *user)
| Set a pointer to arbitrary user data.
void * | GetUserData ()
| Get a pointer to arbitrary user data.
const void * | GetUserData () const
| Get a pointer to arbitrary user data.

## Protected Member Functions

virtual TiXmlNode * | Clone () const
| [internal use] Creates a new Element and returns it.
void | CopyTo (TiXmlText *target) const
bool | Blank () const
Protected Member Functions inherited from TiXmlNode
| TiXmlNode (NodeType _type)
void | CopyTo (TiXmlNode *target) const
TiXmlNode * | Identify (const char *start, TiXmlEncoding encoding)

## Friends

class | TiXmlElement

## Additional Inherited Members

Public Types inherited from TiXmlNode
enum | NodeType { DOCUMENT, ELEMENT, COMMENT, UNKNOWN, TEXT, DECLARATION, TYPECOUNT }
Static Public Member Functions inherited from TiXmlBase
static void | SetCondenseWhiteSpace (bool condense)
static bool | IsWhiteSpaceCondensed ()
| Return the current white space setting.
static void | EncodeString (const TIXML_STRING &str, TIXML_STRING *out)
Static Public Attributes inherited from TiXmlBase
static const int | utf8ByteTable [256]
Static Protected Member Functions inherited from TiXmlBase
static const char * | SkipWhiteSpace (const char *, TiXmlEncoding encoding)
static bool | IsWhiteSpace (char c)
static bool | IsWhiteSpace (int c)
static const char * | ReadName (const char *p, TIXML_STRING *name, TiXmlEncoding encoding)
static const char * | ReadText (const char *in, TIXML_STRING *text, bool ignoreWhiteSpace, const char *endTag, bool ignoreCase, TiXmlEncoding encoding)
static const char * | GetEntity (const char *in, char *value, int *length, TiXmlEncoding encoding)
static const char * | GetChar (const char *p, char *_value, int *length, TiXmlEncoding encoding)
static bool | StringEqual (const char *p, const char *endTag, bool ignoreCase, TiXmlEncoding encoding)
static int | IsAlpha (unsigned char anyByte, TiXmlEncoding encoding)
static int | IsAlphaNum (unsigned char anyByte, TiXmlEncoding encoding)
static int | ToLower (int v, TiXmlEncoding encoding)
static void | ConvertUTF32ToUTF8 (unsigned long input, char *output, int *length)
Protected Attributes inherited from TiXmlNode
TiXmlNode * | parent
NodeType | type
TiXmlNode * | firstChild
TiXmlNode * | lastChild
TIXML_STRING | value
TiXmlNode * | prev
TiXmlNode * | next
Static Protected Attributes inherited from TiXmlBase
static const char * | errorString [TIXML_ERROR_STRING_COUNT]

## Detailed Description

Part of the tinyxml library.

XML text. A text node can have 2 ways to output the next. "normal" output and CDATA. It will default to the mode it was parsed from the XML file and you generally want to leave it alone, but you can change the output mode with SetCDATA() and query it with CDATA().

## Constructor & Destructor Documentation

TiXmlText::TiXmlText | ( | const char * | initValue) |  |

inline

Constructor for text element. By default, it is treated as normal, encoded text. If you want it be output as a CDATA text element, set the parameter _cdata to 'true'

## Member Function Documentation

bool TiXmlText::Accept | ( | TiXmlVisitor * | content) |  | const

virtual

Walk the XML tree visiting this node and all of its children.

Implements TiXmlNode.

void TiXmlText::Print | ( | FILE * | cfile,
|  | int | depth
| ) |  | const

virtual

All TinyXml classes can print themselves to a filestream or the string class (TiXmlString in non-STL mode, std::string in STL mode.) Either or both cfile and str can be null.

This is a formatted print, and will insert tabs and newlines.

(For an unformatted stream, use the << operator.)

Implements TiXmlBase.

The documentation for this class was generated from the following files:

- tinyxml.h
- tinyxml.cpp
- tinyxmlparser.cpp